pw_device_events Struct Reference
Core API » Device

Device events. More...

## Data Fields

uint32_t | version
void(* | info )(void *object, const struct pw_device_info *info)
| Notify device info. More...
void(* | param )(void *object, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)
| Notify a device param. More...

## Detailed Description

Device events.

## Field Documentation

## version

uint32_t pw_device_events::version

## info

void(* pw_device_events::info) (void *object, const struct pw_device_info *info)

Notify device info.

Parameters

  info | info about the device

## param

void(* pw_device_events::param) (void *object, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)

Notify a device param.

Event emitted as a result of the enum_params method.

Parameters

  seq | the sequence number of the request
  id | the param id
  index | the param index
  next | the param index of the next param
  param | the parameter

The documentation for this struct was generated from the following file:

- pipewire/device.h